/* $Id: util.h,v 1.3 1999/03/05 15:15:19 bunka Exp bunka $
 * config definitions for lab-timer
 *
 * 
 * Lab3Timer
 *
 * Copyright (C) 1999, Sebastian Bunka
 *
 * Distributed under the terms of the GNU GPL
 *
 *
 */

#define APP_HOME "<http://i112pc09.vu-wien.ac.at/~bunka/software/Lab3Timer.html>"


/* the usage text */
#define USAGE \
"\nl3t [-exe prog_name] [-h] [-c] [-i] [-l] [-n] [-t] [-v] [-y xpos,ypos]\n \
-exe: prog_name is a program or a shell script to run \n \
      when one of the timers is up. This overrides environment\n \
      variable and X resource\n \
-c:   show the copyright info\n \
-h:   gives this message\n \
-i:   toggle enable/disable tool tips\n \
-l:   toggle enable/disable linux console ring-beep (if compiled in)\n \
-n:   toggle enable/disable use alarm-popup window (no_popup)\n \
-t:   toggle enable/disable tiny size of Lab3Timer\n \
-v:   show the version number\n \
-y:   xpos,ypos set the respective position of the window\n \
\n \
with -i,-l,-n,-t the settings in the X resources can be toggled\n \
to avoid changing the X resource database\n \
\n \
Other interesting standard xforms options:\n \
-display host:dpy\n \
-debug level: level 1-5\n \
-private: private colormap\n \
-shared:  shared colormap, closest color substitution, useful for 8bit dpys\n\n \
"

#ifdef NEEDCOPY
char *copyright = "\n
    Lab3Timer 
    A small timer application working like these famous Tripple 
    Laboratory timers. 
 
    Copyright (C) 1999, Sebastian Bunka <Sebastian.Bunka@vu-wien.ac.at> 
 
    This program is free software; you can redistribute it and/or modify 
    it under the terms of the GNU General Public License as published by 
    the Free Software Foundation; either version 2 of the License, or 
    (at your option) any later version. 
 
    This program is distributed in the hope that it will be useful, 
    but WITHOUT ANY WARRANTY; without even the implied warranty of 
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
    GNU General Public License for more details. 
 
    You should have received a copy of the GNU General Public License 
    along with this program; see the file COPYING.  If not, write to 
    the Free Software Foundation, Inc., 59 Temple Place - Suite 330, 
    Boston, MA 02111-1307, USA. 
";
#endif



/* 
   ##################################################
   global variable definitions 
   ##################################################
*/

extern char *l3t_version;		/* defined in my_config.h */
extern char *my_date;                   /* defined in my_config.h */


int help_ok;			/* prevent overload in show_help_win */
Pixmap t_icon1, t_icon2, mask1, mask2; 	/* for the icon pixmaps */
unsigned w,h;                          	/* icons w + h */
char time_buf[32];			/* for the timer filter function */
char exp_buf[64];			/* time filter function */
int t_select;				/* the selected timer num */
int alarm_icon;			/* set to 1 if alarm icon is active */
int timer_blinking[3];	/* which timer is blinking */
long exp_sec[3];			/* get the time a timer expired in sec since 1970 */
long exp_usec[3];			/* same but usecs function fl_gettime needs this */
int t_is_running[3]; 	/* no timer is running  need this global */
int t_stopped[3];  		/* get stop status     */
int tiny_mode, no_popup, linux_beep, no_tips, x_pos, y_pos; /* for Xresources */
char run_prog[128];


/* ##################################################
   function prototypes 
   ##################################################   
*/

void usage(void);
char *timer_filter(FL_OBJECT *ob, double secs);
char *exp_filter(int my_timer, double secs);
void show_help_window(void);
void alarm_linux(int freq, int length);
void timer_expired(FL_OBJECT *ob, long data);
int post_timer(FL_OBJECT *ob, int ev, FL_Coord mx, FL_Coord y, int key, void *xev);
extern void create_form_layout(void);
extern void create_form_msg_window(void);
extern void create_form_help_window(void);
int post_tip(FL_OBJECT *ob, int event, FL_Coord mx, FL_Coord my, int key, void *xev);
void set_tip(FL_OBJECT *ob, char *s);
int check_blink(int expired);
void get_cmdl(int argc, char *argv[]);

